import request from '@/utils/request'

// 获取托管中心的位置
export function getDepositCenterLocation(params) {
  return request({
    url: '/geo/center/getCoordinates',
    method: 'get',
    params: params
  })
}

// 获取试点机构的信息
export function getPilotAgencyLocation(params) {
  return request({
    url: '/system/dept/deposit/list',
    method: 'get',
    params: params
  })
}

// 根据deptId获取其下级中所有村的信息
export function selectVillageList(deptId) {
  return request({
    url: '/system/dept/getVillageList/' + deptId,
    method: 'get'
  })
}

// 获取托管地块代码
export function selectDepositLandCode(params) {
  return request({
    url: '/geo/fwht/getLandCode',
    method: 'get',
    params: params
  })
}

// 查询服务合同名录
export function selectFwhtList(params) {
  return request({
    url: '/geo/fwht/selectFwhtList',
    method: 'get',
    params: params
  })
}

// 查询服务合同关联的农户数量、地块编码和地块服务面积
export function selectFwhtAsctInfo(fwhtId) {
  return request({
    url: '/geo/fwht/selectFwhtAsctInfo/' + fwhtId,
    method: 'get'
  })
}
